For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist least cost routings
      • POSTcreate a Least Cost Routing
      • GETretrieve least cost routing
      • PUTupdate least cost routing
      • DELdelete a least cost routing
      • POSTCreate least cost routing routes and carrier set entries
      • PUTupdate least cost routing routes and carrier set entries
      • GETlist least cost routings routes
      • POSTcreate a Least Cost Routing Routes
      • GETretrieve least cost routing route
      • PUTupdate least cost routing route
      • DELdelete a least cost routing route
      • GETlist least cost routings routes
      • POSTcreate a Least Cost Routing Carrier Set Entry
      • GETretrieve least cost routing carrier set entry
      • PUTupdate least cost routing carrier set entry
      • DELdelete a least cost routing carrier set entry
      • GETget all Least Cost Routings for a service provider
      • POSTcreate a Lest cost routing for a service provider
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementCall Routing

Create least cost routing routes and carrier set entries

POST
https://api.jambonz.cloud/v1/Lcrs/:LcrSid/Routes
POST
/v1/Lcrs/:LcrSid/Routes
$curl -X POST https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "lcr_sid": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
> "priority": 1,
> "regex": "^\\+1[2-9]\\d{2}[2-9](?!11)\\d{6}$"
> }
>]'
1{}
Was this page helpful?
Previous

update least cost routing routes and carrier set entries

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

LcrSidstringRequired

Request

This endpoint expects a list of objects.
lcr_sidstringRequired
priorityintegerRequired
regexstringRequired
out going call Phone number regex
descriptionstringOptional
lcr_carrier_set_entrieslist of objectsOptional

Response

least cost routing routes and carrier set entries created

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error